#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include "datatype.h"
#include "tcpclient.h"
namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = nullptr);
    ~Widget();
private slots:
        void slotConnect();
        void slotDisCon();
        void slotSend();
        void slotRec(QByteArray &);
private:
    Ui::Widget *ui;
    TcpClient m_TcpClent;
};

#endif // WIDGET_H
